ES2015 classes transform

Compile ES2015 classes to ES5

Note: Built-in classes such as Date, Array, DOM etc cannot be properly subclassed due to limitations in ES5.

Installation

$ npm install babel-plugin-transform-es2015-classes

Usage

.babelrc

// without options
{
  "plugins": ["transform-es2015-classes"]
}

// with options
{
  "plugins": [
    ["transform-es2015-classes", {
      "loose": true
    }]
  ]
}

Via CLI

$ babel --plugins transform-es2015-classes script.js

Via Node API

require("babel-core").transform("code", {
  plugins: ["transform-es2015-classes"]
});